Source: lightdm
Section: x11
Priority: optional
Maintainer: Robert Ancell <robert.ancell@ubuntu.com>
Uploaders: Julien Lavergne <gilir@ubuntu.com>
Standards-Version: 4.1.1
Build-Depends: autoconf,
               automake,
               dbus,
               debhelper (>= 9.20160709),
               dh-autoreconf,
               dh-translations,
               gtk-doc-tools,
               intltool (>= 0.35.0),
               libaudit-dev [linux-any],
               libtool,
               libgcrypt20-dev,
               libgirepository1.0-dev,
               libglib2.0-dev,
               libgtk-3-dev,
               libpam0g-dev,
               libxcb1-dev,
               libxdmcp-dev,
               libxklavier-dev,
               pkg-config,
               qtbase5-dev,
               quilt,
               valac,
               yelp-tools
Homepage: https://github.com/canonical/lightdm
Vcs-Git: https://github.com/canonical/lightdm

Package: lightdm
Architecture: any
Pre-Depends: dpkg (>= 1.15.7.2),
Depends: ${misc:Depends},
         ${shlibs:Depends},
         adduser,
         bash (>= 4.3),
         dbus,
         libglib2.0-bin,
         libpam-runtime (>= 0.76-14),
         libpam-modules,
         plymouth (>= 0.8.8-0ubuntu18) [linux-any]
Recommends: xserver-xorg,
            notification-daemon | mate-notification-daemon | lxqt-notificationd,
            policykit-1-gnome | arctica-greeter | ukui-greeter,
            unity-greeter | lightdm-greeter | lightdm-kde-greeter,
Suggests: bindfs
Conflicts: liblightdm-gobject-0-0,
           liblightdm-qt-0-0,
Provides: x-display-manager
Description: Display Manager
 LightDM is a X display manager that:
  * Has a lightweight codebase
  * Is standards compliant (PAM, ConsoleKit, etc)
  * Has a well defined interface between the server and user interface
  * Cross-desktop (greeters can be written in any toolkit)

Package: liblightdm-gobject-1-0
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends},
         ${shlibs:Depends},
Recommends: accountsservice
Suggests: lightdm
Description: LightDM GObject client library
 A GObject based library for LightDM clients to use to interface with LightDM.

Package: gir1.2-lightdm-1
Section: introspection
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
         ${gir:Depends},
         liblightdm-gobject-1-0 (= ${binary:Version}),
Description: Typelib file for liblightdm-1
 A GObject based library for LightDM clients to use to interface with LightDM.

Package: liblightdm-qt5-3-0
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends},
         ${shlibs:Depends},
Recommends: lightdm,
Description: LightDM Qt 5 client library
 A Qt 5 based library for LightDM clients to use to interface with LightDM.

Package: liblightdm-gobject-1-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
         liblightdm-gobject-1-0 (= ${binary:Version}),
         gir1.2-lightdm-1 (= ${binary:Version}),
         libdbus-glib-1-dev,
         libglib2.0-dev,
         libxklavier-dev,
Description: LightDM GObject client library (development files)
 A GObject based library for LightDM clients to use to interface with LightDM.
 .
 This package contains header files and development information, which
 is useful for building LightDM greeters and user switchers.

Package: liblightdm-qt5-3-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
         liblightdm-qt5-3-0 (= ${binary:Version}),
         qtbase5-dev,
Description: LightDM Qt 5 client library (development files)
 A Qt 5 based library for LightDM clients to use to interface with LightDM.
 .
 This package contains header files and development information, which
 is useful for building LightDM greeters and user switchers.

Package: liblightdm-gobject-1-doc
Section: doc
Architecture: all
Depends: ${misc:Depends},
Description: LightDM client library (documentation)
 A GObject based library for LightDM clients to use to interface with LightDM.
 .
 This package contains HTML documentation.
